#!/usr/bin/env python3

from pathlib import Path
from ruamel.yaml import YAML

from rougail import Rougail, RougailConfig


if __name__ == "__main__":
    rougailconfig = RougailConfig.copy()
    rougailconfig['variable_namespace'] = 'proxy'
    rougailconfig['dictionaries_dir'] = ['proxy']
    rougailconfig['extra_dictionaries'] = {'foxyproxy': ['foxyproxy']}
    rougailconfig['tiramisu_cache'] = "cache.py"
    rougail = Rougail(rougailconfig)
    config = rougail.get_config()
    print(config.value.get())
